# String

    extension String: CoreStoreDebugStringConvertible

    extension String: FieldStorableType

    extension String: ImportableAttributeType

    extension String: AllowedOptionalObjectiveCKeyPathValue

    extension String: AllowedObjectiveCAttributeKeyPathValue

    extension String: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = String

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = String

### String

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSString

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> String?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType